summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWilliam Hubbs <williamh@gentoo.org>2020-12-06 01:50:36 -0600
committerWilliam Hubbs <williamh@gentoo.org>2020-12-06 01:50:36 -0600
commit74315c9e1eeeeaa6e4e2c7b1d9bc1a25f3692cc4 (patch)
tree021d254d78fcdc48796665d76c70f3b3501bad80
parentdev-lang/lua: migrate 5.1.5-r105 to eapi 7 (diff)
downloadgentoo-74315c9e1eeeeaa6e4e2c7b1d9bc1a25f3692cc4.tar.gz
gentoo-74315c9e1eeeeaa6e4e2c7b1d9bc1a25f3692cc4.tar.bz2
gentoo-74315c9e1eeeeaa6e4e2c7b1d9bc1a25f3692cc4.zip
dev-lang/lua: add postinst to 5.1.5-r105
Signed-off-by: William Hubbs <williamh@gentoo.org>
-rw-r--r--dev-lang/lua/lua-5.1.5-r105.ebuild8
1 files changed, 8 insertions, 0 deletions
diff --git a/dev-lang/lua/lua-5.1.5-r105.ebuild b/dev-lang/lua/lua-5.1.5-r105.ebuild
index 3cab2ad2e8c..98f24f0adce 100644
--- a/dev-lang/lua/lua-5.1.5-r105.ebuild
+++ b/dev-lang/lua/lua-5.1.5-r105.ebuild
@@ -141,3 +141,11 @@ multilib_src_test() {
test/lua.static test/${test}.lua && die "test $test failed"
done
}
+
+pkg_postinst() {
+ if has_version "app-editor/emacs"; then
+ if ! has_version "app-emacs/lua-mode"; then
+ einfo "Install app-emacs/lua-mode for lua support for emacs"
+ fi
+ fi
+}